## itinerary 24.08.2

=== debian/changelog ===
itinerary (24.08.2-3ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 01 Nov 2024 11:53:46 -0500

itinerary (24.08.2-3) experimental; urgency=medium

  * Make it compile in experimental.
  * Feed all qml files to dh_qmldeps.
  * Add overrides for internal/non-existing qml modules.
  * Remove runtime depdendecy on plasma-framework (KF5 only).

 -- Sandro Knauß <hefee@debian.org>  Mon, 14 Oct 2024 02:09:44 +0200

itinerary (24.08.2-2) experimental; urgency=medium

  * Tighten dependencies for experimental build.

 -- Sandro Knauß <hefee@debian.org>  Sun, 13 Oct 2024 22:33:22 +0200

itinerary (24.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (24.08.2).
  * Switch to dh_qmldeps.
  * Enable tests again.
  * Remove QML dependencies that are shipped via dev packages.

 -- Sandro Knauß <hefee@debian.org>  Sun, 13 Oct 2024 00:21:04 +0200

itinerary (24.08.1-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (24.08.1).
  * Update build-deps and deps with the info from cmake.
  * Update copyright.
  * Switch to Qt6.
  * Use pkgkde-getqmldepends to detect QML dependencies.

 -- Sandro Knauß <hefee@debian.org>  Sun, 29 Sep 2024 13:50:46 +0200
