=== debian/control ===
Source: itinerary
Section: misc
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Scarlett Moore <sgclark@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.245~),
               iso-codes <!nocheck>,
               kirigami-addons-dev (>= 0.11.40~),
               kosmindoormap-dev (>= 24.08.0~),
               libical-dev (>= 3.0~),
               libkf6archive-dev (>= 5.245~),
               libkf6calendarcore-dev (>= 5.245~),
               libkf6colorscheme-dev (>= 5.245~),
               libkf6contacts-dev (>= 5.245~),
               libkf6coreaddons-dev (>= 5.245~),
               libkf6crash-dev (>= 5.245~),
               libkf6dbusaddons-dev (>= 5.245~),
               libkf6filemetadata-dev (>= 5.245~),
               libkf6holidays-dev (>= 5.245~),
               libkf6i18n-dev (>= 5.245~),
               libkf6kio-dev (>= 5.245~),
               libkf6networkmanagerqt-dev (>= 5.245~),
               libkf6notifications-dev (>= 5.245~),
               libkf6prison-dev (>= 5.245~),
               libkf6qqc2desktopstyle-dev (>= 5.245~),
               libkf6solid-dev (>= 5.245~),
               libkf6unitconversion-dev (>= 5.245~),
               libkf6windowsystem-dev (>= 5.245~),
               libkirigami-dev (>= 5.245~),
               libkitinerary-dev (>= 24.08.0~),
               libkpimpkpass-dev,
               libkpkpass-dev (>= 24.08.0~),
               libkpublictransport-dev (>= 24.08.0~),
               libquotient-dev (>= 0.7.2~),
               libssl-dev,
               locales-all <!nocheck>,
               qml6-module-org-kde-i18n-localedata,
               qml6-module-org-kde-kitemmodels,
               qml6-module-org-kde-prison,
               qml6-module-qt-labs-platform,
               qml6-module-qt-labs-qmlmodels,
               qml6-module-qtcore,
               qml6-module-qtquick-dialogs,
               qml6-module-qtquick-effects,
               qml6-module-qtlocation,
               qml6-module-qtpositioning,
               qt6-base-dev (>= 6.5~),
               qt6-declarative-dev (>= 6.5~),
               qt6-positioning-dev (>= 6.5~),
               qt6-svg-dev,
               qtkeychain-qt6-dev,
               shared-mime-info (>= 1.0~),
               zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://www.kde.org/
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/itinerary
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/itinerary
Rules-Requires-Root: no

Package: itinerary
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Digital travel assistant protecting your privacy
 Getting your itinerary presented in a unified, well structured and always up
 to date fashion rather than advertisement overloaded HTML email monstrosities
 or countless vendor-specific apps.
