## itinerary 24.12.0

=== debian/changelog ===
itinerary (24.12.0-2) unstable; urgency=medium

  * Release to unstable (Closes: #1088978).

 -- Sandro Knauß <hefee@debian.org>  Thu, 19 Dec 2024 00:12:06 +0100

itinerary (24.12.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Cleanup explicit QML module list, as dev packages ship them
    directly.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * Update build dependencies to run tests successfully.

 -- Sandro Knauß <hefee@debian.org>  Mon, 16 Dec 2024 23:46:55 +0100
