=== debian/changelog ===
itinerary (24.12.3-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Disable test that is failing with Qt 6.9 (Closes: #1115743).

 -- Patrick Franz <deltaone@debian.org>  Sun, 21 Sep 2025 11:10:11 +0200

itinerary (24.12.3-2) unstable; urgency=medium

  * Team upload.
  * d/control: Install qml6-module-qtlocation when nocheck is in effect.
    This fixes an FTBFS when nocheck is used. (Closes: #1104202)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 27 Apr 2025 20:41:06 -0400

itinerary (24.12.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (24.12.3).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Mark tests for mips64el as flaky.

 -- Sandro Knauß <hefee@debian.org>  Sat, 05 Apr 2025 19:43:31 +0200

itinerary (24.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Remove redundant B-D of libkpimpkpass-dev (Closes: #1093784).

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 12:23:04 +0100
