=== debian/control ===
--- 
+++ 
@@ -33,13 +33,12 @@
                libkf6windowsystem-dev (>= 6.6~),
                libkirigami-dev (>= 6.6~),
                libkitinerary-dev (>= 24.12.0~),
-               libkpimpkpass-dev,
                libkpkpass-dev (>= 24.12.0~),
                libkpublictransport-dev (>= 24.12.0~),
                libquotient-dev (>= 0.7.2~),
                libssl-dev,
                locales-all <!nocheck>,
-               qml6-module-qtlocation <!nocheck>,
+               qml6-module-qtlocation,
                qt6-base-dev (>= 6.5~),
                qt6-declarative-dev (>= 6.5~),
                qt6-declarative-private-dev,
@@ -50,7 +49,7 @@
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.kde.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/itinerary.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/itinerary
