=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

flaky_tests_archs := mips64el

%:
	dh $@

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH), $(filter $(DEB_HOST_ARCH), $(flaky_tests_archs)))
	- xvfb-run dbus-run-session dh_auto_test --no-parallel
else
	xvfb-run dbus-run-session dh_auto_test --no-parallel
endif
