=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: itinerary
 Section: misc
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Scarlett Moore <sgclark@kde.org>,
 Build-Depends: cmake (>= 3.16~),
+               dbus-tests <!nocheck>,
                debhelper-compat (= 13),
-               dbus-tests <!nocheck>,
                dh-sequence-kf6,
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.6~),
                iso-codes <!nocheck>,
                kirigami-addons-dev (>= 1.5.0~),
-               kosmindoormap-dev (>= 24.12.0~),
+               kosmindoormap-dev (>= 25.04.3~),
                libical-dev (>= 3.0~),
                libkf6archive-dev (>= 6.6~),
                libkf6calendarcore-dev (>= 6.6~),
@@ -32,13 +33,13 @@
                libkf6unitconversion-dev (>= 6.6~),
                libkf6windowsystem-dev (>= 6.6~),
                libkirigami-dev (>= 6.6~),
-               libkitinerary-dev (>= 24.12.0~),
-               libkpkpass-dev (>= 24.12.0~),
-               libkpublictransport-dev (>= 24.12.0~),
+               libkitinerary-dev (>= 25.04.3~),
+               libkpkpass-dev (>= 25.04.3~),
+               libkpublictransport-dev (>= 25.04.3~),
                libquotient-dev (>= 0.7.2~),
                libssl-dev,
                locales-all <!nocheck>,
-               qml6-module-qtlocation,
+               qml6-module-qtlocation <!nocheck>,
                qt6-base-dev (>= 6.5~),
                qt6-declarative-dev (>= 6.5~),
                qt6-declarative-private-dev,
@@ -49,10 +50,10 @@
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://www.kde.org/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/itinerary.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/itinerary
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/itinerary
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/itinerary
 Rules-Requires-Root: no
 
 Package: itinerary
